SELECT
    "zones"."zone",
    "zones"."borough",
    "zones"."geometry",
    COUNT(1) AS "num_trips"
FROM "trips"
LEFT JOIN "zones"
ON "trips"."pickup_zone_id" = "zones"."zone_id"
WHERE
    "borough" = '{{ borough }}' AND
    "geometry" IS NOT NULL
GROUP BY
    "zone",
    "borough",
    "geometry"
    